Post Signals

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.thankly.ai/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Thankly MCP server": {
  "url": "https://docs.thankly.ai/mcp"
}
Close
POST /signals
application/json

Body Required

  • signals array[object] Required

    At least 1 but not more than 100 elements.

    Hide signals attributes Show signals attributes object
    • signal_type string Required
    • properties object | null

      Additional properties are allowed.

    • client_signal_id string Required
    • occurred_at string(date-time) Required
    • external_customer_id string | null
    • fingerprint string | null

Responses

  • 202 application/json

    Successful Response

    Hide response attributes Show response attributes object
    • accepted integer Required
    • rejected integer Required
    • errors array[object] Required

      Additional properties are allowed.

  • 422 application/json

    Validation Error

    Hide response attribute Show response attribute object
    • detail array[object]
      Hide detail attributes Show detail attributes object
      • loc array[string | integer] Required
      • msg string Required
      • type string Required
      • input
      • ctx object
POST /signals
curl \
 --request POST 'http://api.example.com/signals' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"signals":[{"signal_type":"string","properties":{},"client_signal_id":"string","occurred_at":"2026-05-04T09:42:00Z","external_customer_id":"string","fingerprint":"string"}]}'
Request examples
{
  "signals": [
    {
      "signal_type": "string",
      "properties": {},
      "client_signal_id": "string",
      "occurred_at": "2026-05-04T09:42:00Z",
      "external_customer_id": "string",
      "fingerprint": "string"
    }
  ]
}
Response examples (202)
{
  "accepted": 42,
  "rejected": 42,
  "errors": [
    {}
  ]
}
Response examples (422)
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "ctx": {}
    }
  ]
}